package com.ccnode.codegenerator.view.g;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.ccnode.codegenerator.view.g.y;
import com.intellij.codeInsight.FileModificationService;
import com.intellij.codeInspection.CommonProblemDescriptor;
import com.intellij.codeInspection.LocalQuickFix;
import com.intellij.codeInspection.ProblemDescriptor;
import com.intellij.openapi.application.ApplicationManager;
import com.intellij.openapi.command.WriteCommandAction;
import com.intellij.openapi.project.Project;
import com.intellij.psi.PsiElement;
import com.intellij.psi.util.PsiTreeUtil;
import com.intellij.psi.xml.XmlTag;
import org.jetbrains.annotations.Nls;
import org.jetbrains.annotations.NotNull;

class a implements LocalQuickFix {
  @Nls
  @NotNull
  public String getName() {
    return "delete current xml";
  }
  
  @NotNull
  public String getFamilyName() {
    return "MybatisCodeHelperFix";
  }
  
  public void a(@NotNull Project paramProject, @NotNull ProblemDescriptor paramProblemDescriptor) {
    boolean bool = ApplicationManager.getApplication().isWriteAccessAllowed();
    if (!bool)
      return; 
    PsiElement psiElement = paramProblemDescriptor.getPsiElement();
    XmlTag xmlTag = (XmlTag)PsiTreeUtil.getParentOfType(psiElement, XmlTag.class);
    if (xmlTag == null) {
      ApplicationManager.getApplication().invokeLater((Runnable)new Object(this));
      return;
    } 
    if (!FileModificationService.getInstance().prepareFileForWrite(xmlTag.getContainingFile()))
      return; 
    WriteCommandAction.runWriteCommandAction(paramProject, (Runnable)new Object(this, xmlTag));
  }
}
